import request from '@/utils/request'

// 查询收款账户列表
export function listAccount(query) {
  return request({
    url: '/bst/account/list',
    method: 'get',
    params: query
  })
}

// 根据ID列表查询收款账户
export function listAccountByIds(ids) {
  return request({
    url: '/bst/account/listByIds',
    headers: {
      repeatSubmit: false,
    },
    method: 'post',
    data: ids
  })
}


// 查询收款账户详细
export function getAccount(id) {
  return request({
    url: '/bst/account/' + id,
    method: 'get'
  })
}

// 新增收款账户
export function addAccount(data) {
  return request({
    url: '/bst/account',
    method: 'post',
    data: data
  })
}

// 修改收款账户
export function updateAccount(data) {
  return request({
    url: '/bst/account',
    method: 'put',
    data: data
  })
}

// 删除收款账户
export function delAccount(id) {
  return request({
    url: '/bst/account/' + id,
    method: 'delete'
  })
}
